# PHTML::ImageElement Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::ImageElement:

List of all members.

## Protected Member Functions

| ImageElement (const char *nam, const char *attr, ElementInSet elmt, ElementInSet req, OptionalCRLF opt, const char *image)
virtual | ~ImageElement ()
virtual void | AddAttr (PHTML &html) const

## Protected Attributes

const char * | srcString

## Constructor & Destructor Documentation

PHTML::ImageElement::ImageElement | ( | const char * | nam,
|  | const char * | attr,
|  | ElementInSet | elmt,
|  | ElementInSet | req,
|  | OptionalCRLF | opt,
|  | const char * | image |
| ) |  |  | `[protected]`

virtual PHTML::ImageElement::~ImageElement | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void PHTML::ImageElement::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::Element.

Reimplemented in PHTML::Image.

## Member Data Documentation

const char* PHTML::ImageElement::srcString `[protected]`

The documentation for this class was generated from the following file:

- html.h